New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow to install Symfony 3.4 #818

Merged
merged 6 commits into from May 12, 2018
View
@@ -6,13 +6,15 @@ matrix:
env: PHPUNIT_FLAGS="--coverage-clover coverage.xml"
- php: 7.1
env: CODING_STANDARD=true
- php: 7.1
env: COMPOSER_FLAGS="--prefer-lowest"
- php: 7.2
env: PHPSTAN=true MONOREPO_SPLIT=true
- php: 7.2
env: STANDALONE=true
install:
- composer install
- composer update $COMPOSER_FLAGS
before_script:
# to make multiline scripts report fails
View
@@ -4,25 +4,27 @@
"license": "MIT",
"require": {
"php": "^7.1",
"erusev/parsedown-extra": "^0.7",
"erusev/parsedown-extra": "^0.7.1",
"erusev/parsedown": "^1.7",
"friendsofphp/php-cs-fixer": "^2.11",
"jean85/pretty-package-versions": "^1.1",
"ocramius/package-versions": "^1.3",
"latte/latte": "^2.4",
"nette/finder": "^2.4",
"nette/robot-loader": "^3.0",
"nette/utils": "^2.5",
"phpstan/phpdoc-parser": "^0.2",
"slevomat/coding-standard": "^4.5",
"squizlabs/php_codesniffer": "^3.2",
"symfony/cache": "^4.0",
"symfony/config": "^4.0",
"symfony/console": "^4.0",
"symfony/debug": "^4.0",
"symfony/dependency-injection": "^4.0",
"symfony/event-dispatcher": "^4.0",
"symfony/finder": "^4.0",
"symfony/http-kernel": "^4.0",
"symfony/yaml": "^4.0"
"symfony/cache": "^3.4|^4.0",
"symfony/config": "^3.4|^4.0",
"symfony/console": "^3.4|^4.0",
"symfony/debug": "^3.4|^4.0",
"symfony/dependency-injection": "^3.4|^4.0",
"symfony/event-dispatcher": "^3.4|^4.0",
"symfony/finder": "^3.4|^4.0",
"symfony/http-kernel": "^3.4|^4.0",
"symfony/yaml": "^3.4|^4.0"
},
"require-dev": {
"phpstan/phpstan": "^0.9",
@@ -9,7 +9,7 @@
"require": {
"php": "^7.1",
"nette/utils": "^2.4",
"symfony/console": "^4.0"
"symfony/console": "^3.4|^4.0"
},
"require-dev": {
"phpunit/phpunit": "^7.0"
@@ -10,20 +10,21 @@
"php": "^7.1",
"nette/utils": "^2.4",
"nette/robot-loader": "^3.0",
"symfony/cache": "^4.0",
"symfony/console": "^4.0",
"symfony/config": "^4.0",
"symfony/http-kernel": "^4.0",
"symfony/dependency-injection": "^4.0",
"symfony/finder": "^4.0",
"symfony/yaml": "^4.0",
"symfony/cache": "^3.4|^4.0",
"symfony/console": "^3.4|^4.0",
"symfony/config": "^3.4|^4.0",
"symfony/http-kernel": "^3.4|^4.0",
"symfony/dependency-injection": "^3.4|^4.0",
"symfony/finder": "^3.4|^4.0",
"symfony/yaml": "^3.4|^4.0",
"symplify/coding-standard": "^4.2",
"symplify/package-builder": "^4.2",
"symplify/token-runner": "^4.2",
"slevomat/coding-standard": "^4.5",
"friendsofphp/php-cs-fixer": "^2.11",
"squizlabs/php_codesniffer": "^3.2",
"jean85/pretty-package-versions": "^1.0"
"jean85/pretty-package-versions": "^1.1",
"ocramius/package-versions": "^1.3"
},
"require-dev": {
"phpunit/phpunit": "^7.0",
@@ -4,9 +4,9 @@
use Symfony\Component\Config\FileLocator as SimpleFileLocator;
use Symfony\Component\Config\Loader\DelegatingLoader;
use Symfony\Component\Config\Loader\GlobFileLoader;
use Symfony\Component\Config\Loader\LoaderResolver;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader\GlobFileLoader;
use Symfony\Component\HttpKernel\Config\FileLocator;
use Symfony\Component\HttpKernel\KernelInterface;
use Symplify\EasyCodingStandard\Yaml\CheckerTolerantYamlFileLoader;
@@ -34,7 +34,7 @@ private function createFromContainerBuilderAndFileLocator(
SimpleFileLocator $simpleFileLocator
): DelegatingLoader {
$loaderResolver = new LoaderResolver([
new GlobFileLoader($containerBuilder, $simpleFileLocator),
new GlobFileLoader($simpleFileLocator),
new CheckerTolerantYamlFileLoader($containerBuilder, $simpleFileLocator),
]);
@@ -5,13 +5,13 @@
"require": {
"php": "^7.1",
"nette/utils": "^2.4",
"symfony/config": "^4.0",
"symfony/console": "^4.0",
"symfony/debug": "^4.0",
"symfony/dependency-injection": "^4.0",
"symfony/finder": "^4.0",
"symfony/http-kernel": "^4.0",
"symfony/yaml": "^4.0"
"symfony/config": "^3.4|^4.0",
"symfony/console": "^3.4|^4.0",
"symfony/debug": "^3.4|^4.0",
"symfony/dependency-injection": "^3.4|^4.0",
"symfony/finder": "^3.4|^4.0",
"symfony/http-kernel": "^3.4|^4.0",
"symfony/yaml": "^3.4|^4.0"
},
"require-dev": {
"phpunit/phpunit": "^7.0"
@@ -9,20 +9,22 @@
],
"require": {
"php": "^7.1",
"erusev/parsedown-extra": "^0.7",
"erusev/parsedown-extra": "^0.7.1",
"erusev/parsedown": "^1.7",
"latte/latte": "^2.4",
"symfony/config": "^4.0",
"symfony/dependency-injection": "^4.0",
"symfony/event-dispatcher": "^4.0",
"symfony/http-kernel": "^4.0",
"symfony/config": "^3.4|^4.0",
"symfony/dependency-injection": "^3.4|^4.0",
"symfony/event-dispatcher": "^3.4|^4.0",
"symfony/http-kernel": "^3.4|^4.0",
"nette/finder": "^2.4",
"nette/utils": "^2.4",
"tracy/tracy": "^2.4",
"symfony/console": "^4.0",
"symfony/finder": "^4.0",
"symfony/yaml": "^4.0",
"symfony/console": "^3.4|^4.0",
"symfony/finder": "^3.4|^4.0",
"symfony/yaml": "^3.4|^4.0",
"symplify/package-builder": "^4.2",
"jean85/pretty-package-versions": "^1.0"
"jean85/pretty-package-versions": "^1.1",
"ocramius/package-versions": "^1.3"
},
"require-dev": {
"phpunit/phpunit": "^7.0"
@@ -3,11 +3,11 @@
namespace Symplify\Statie\DependencyInjection;
use Symfony\Component\Config\Loader\DelegatingLoader;
use Symfony\Component\Config\Loader\GlobFileLoader;
use Symfony\Component\Config\Loader\LoaderInterface;
use Symfony\Component\Config\Loader\LoaderResolver;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\DependencyInjection\Loader\GlobFileLoader;
use Symfony\Component\HttpKernel\Bundle\BundleInterface;
use Symfony\Component\HttpKernel\Config\FileLocator;
use Symfony\Component\HttpKernel\Kernel;
@@ -77,7 +77,7 @@ protected function getContainerLoader(ContainerInterface $container): Delegating
$kernelFileLocator = new FileLocator($this);
$loaderResolver = new LoaderResolver([
new GlobFileLoader($container, $kernelFileLocator),
new GlobFileLoader($kernelFileLocator),
new class($container, $kernelFileLocator) extends AbstractParameterMergingYamlFileLoader {
},
]);
ProTip! Use n and p to navigate between commits in a pull request.